# Uses of Class
org.eclipse.microprofile.fault.tolerance.tck.util.AsyncTaskManager.BarrierTask

Packages that use AsyncTaskManager.BarrierTask
Package
Description
org.eclipse.microprofile.fault.tolerance.tck.util

## Uses of AsyncTaskManager.BarrierTask in org.eclipse.microprofile.fault.tolerance.tck.util

Methods in org.eclipse.microprofile.fault.tolerance.tck.util that return AsyncTaskManager.BarrierTask
Modifier and Type
Method
Description
`<T> AsyncTaskManager.BarrierTask<T>`
AsyncTaskManager.`runAsyncBarrierTask(Function<Barrier,Future<? extends T>> task)`
Run an asynchronous task which awaits a barrier
`<T> AsyncTaskManager.BarrierTask<T>`
AsyncTaskManager.`runAsyncCsBarrierTask(Function<Barrier,CompletionStage<? extends T>> task)`
Run an asynchronous task which awaits a barrier
`AsyncTaskManager.BarrierTask<Void>`
AsyncTaskManager.`runBarrierTask(Consumer<Barrier> task)`
Run a task which awaits on a barrier
Method parameters in org.eclipse.microprofile.fault.tolerance.tck.util with type arguments of type AsyncTaskManager.BarrierTask
Modifier and Type
Method
Description
`static void`
AsyncTaskManager.`assertAllNotAwaiting(Collection<? extends AsyncTaskManager.BarrierTask<?>> tasks)`
Assert that multiple tasks do not wait on their barriers